Bug 730593 - Review Request: gnome-shell-theme-elementary - The Elementary gnome-shell theme
Summary: Review Request: gnome-shell-theme-elementary - The Elementary gnome-shell theme
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Lauridsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-14 21:41 UTC by Elder Marco
Modified: 2011-11-10 17:39 UTC (History)
4 users (show)

Fixed In Version: gnome-shell-theme-elementary-3.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-10 17:38:05 UTC
tla: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Elder Marco 2011-08-14 21:41:55 UTC
Spec URL:
http://eldermarco.fedorapeople.org/files/specs/gnome-shell-theme-elementary.spec

SRPM URL:
http://eldermarco.fedorapeople.org/files/srpms/gnome-shell-theme-elementary-1.1-1.fc15.src.rpm

Description:
The Elementary gnome-shell theme

-----------------
rpmlint output:
$ rpmlint /home/elder/rpmbuild/SRPMS/gnome-shell-theme-elementary-1.1-1.fc15.src.rpm /home/elder/rpmbuild/RPMS/noarch/gnome-shell-theme-elementary-1.1-1.fc15.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Koji Task Info:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3272321

Comment 1 Tim Lauridsen 2011-10-26 16:10:57 UTC
I will review this one

Comment 2 Tim Lauridsen 2011-10-26 16:18:41 UTC
This will work fine on F16 (gnome-shell 3.0), but upstream has made a new release with 2 zip files, one for gnome-shell 3.0 & one for 3.2.

I have made a rpm for 3.2 here:
http://timlau.fedorapeople.org/files/gnome-shell/themes/32/SPECS/gnome-shell-theme-elementary.spec

with a little spec magic is should be possible to modify the spec so if uses
the 3.0 version for F15 & the 3.2 one for F16.

Comment 3 Tim Lauridsen 2011-10-27 06:42:28 UTC
I have updated the spec
http://timlau.fedorapeople.org/files/gnome-shell/themes/32/SPECS/gnome-shell-theme-elementary.spec

to build packages for both F15 & F16, using the 3.0 source for f15 and the 3.2 source for f16 and later.

You can use that as an example for your spec.

Comment 4 Elder Marco 2011-10-27 10:15:31 UTC
Hi Tim,

Thank you very much. 
I'll update the spec file soon. :)

Comment 5 Elder Marco 2011-10-27 22:03:44 UTC
Hello Tim,

SPEC file:
http://eldermarco.fedorapeople.org/files/specs/gnome-shell-theme-elementary.spec

SRPM is here:

http://eldermarco.fedorapeople.org/files/srpms/gnome-shell-theme-elementary-3.0-1.fc15.src.rpm

The spec file is based on yours. Again :)

rpmlint output:

$ rpmlint /home/elder/rpmbuild/RPMS/noarch/gnome-shell-theme-elementary-3.0-1.fc15.noarch.rpm /home/elder/rpmbuild/SRPMS/gnome-shell-theme-elementary-3.0-1.fc15.src.rpm
gnome-shell-theme-elementary.noarch: W: incoherent-version-in-changelog 3.2-1 ['3.0-1.fc15', '3.0-1']
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Can I ignore this warning? Well, I can create a spec file for fedora 15 (branch: f15) and a spec file for fedora 16 (branch: f16). There's no problem.

Comment 6 Tim Lauridsen 2011-10-28 11:37:55 UTC
Just ignore the warning, not a show stopper :) or change the changelog format to

* Fri Jun 23 2006 Jesse Keating <jkeating@redhat.com>
- 0.6-4
- And fix the link syntax.

https://fedoraproject.org/wiki/Packaging:Guidelines#Changelogs

Comment 7 Elder Marco 2011-10-30 15:00:19 UTC
Hi Tim,

The same warning if I change the changelog format. So, I prefer to ignore this message. Do I need to change anything else?

Comment 8 Tim Lauridsen 2011-10-30 16:40:39 UTC
	
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated



==== Generic ====

[x] : MUST - Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[x] : MUST - Package successfully compiles and builds into binary rpms on at least one supported architecture.
[x] : MUST - All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x] : MUST - Package contains no bundled libraries.
[x] : MUST - Changelog in prescribed format.
[x] : MUST - Sources contain only permissible code or content.
[x] : MUST - Macros in Summary, %description expandable at SRPM build time.
[x] : MUST - Package requires other packages for directories it uses.
[x] : MUST - Package uses nothing in %doc for runtime.
[x] : MUST - Package is not known to require ExcludeArch.
[x] : MUST - Permissions on files are set properly.
[x] : MUST - Package does not contain duplicates in %files.
[x] : MUST - Spec file lacks Packager, Vendor, PreReq tags.
[x] : MUST - If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x] : MUST - License field in the package spec file matches the actual license.
[x] : MUST - Package consistently uses macros (instead of hard-coded directory names).
[x] : MUST - Package meets the Packaging Guidelines.
[x] : MUST - Package is named according to the Package Naming Guidelines.
[x] : MUST - Package does not generates any conflict.
[x] : MUST - Package obeys FHS, except libexecdir and /usr/target.
[x] : MUST - Package must own all directories that it creates.
[x] : MUST - Package does not own files or directories owned by other packages.
[x] : MUST - Package installs properly.
[x] : MUST - Requires correct, justified where necessary.
[x] : MUST - Rpmlint output is silent.
        
        rpmlint gnome-shell-theme-elementary-3.2-1.fc17.src.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
        rpmlint gnome-shell-theme-elementary-3.2-1.fc17.noarch.rpm
        ================================================================================
        1 packages and 0 specfiles checked; 0 errors, 0 warnings.
        ================================================================================
        
[x] : MUST - Sources used to build the package matches the upstream source, as provided in the spec URL.
        /home/timlau/udv/work/FedoraReview/src/730593/gnome_shell___elementary_by_half_left-d45raik.zip :
          MD5SUM this package     : 7d95cb3369bf80af5b450c7e5bbd9a38
          MD5SUM upstream package : 7d95cb3369bf80af5b450c7e5bbd9a38
        
[x] : MUST - Spec file is legible and written in American English.
[x] : MUST - Spec file name must match the spec package %{name}, in the format %{name}.spec.
[-] : MUST - Package contains a SysV-style init script if in need of one.
[x] : MUST - File names are valid UTF-8.
[x] : SHOULD - Reviewer should test that the package builds in mock.
[-] : SHOULD - If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[x] : SHOULD - Dist tag is present.
[x] : SHOULD - No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x] : SHOULD - Final provides and requires are sane (rpm -q --provides and rpm -q --requires).
[x] : SHOULD - Package functions as described.
[x] : SHOULD - Package does not include license text files separate from upstream.
[x] : SHOULD - SourceX is a working URL.
[!] : SHOULD - Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x] : SHOULD - Package should compile and build into binary rpms on all supported architectures.
[-] : SHOULD - %check is present and all tests pass.
[x] : SHOULD - Packages should try to preserve timestamps of original installed files.
[x] : SHOULD - Spec use %global instead of %define.

Issues:
None

APPROVED

Comment 9 Elder Marco 2011-10-30 17:19:58 UTC
Thanks again Tim. =]

Comment 10 Elder Marco 2011-10-30 17:21:57 UTC
New Package SCM Request
=======================
Package Name: gnome-shell-theme-elementary
Short Description: The Elementary gnome-shell theme
Owners: eldermarco
Branches: f15 f16
InitialCC:

Comment 11 Gwyn Ciesla 2011-10-31 12:15:25 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-10-31 19:47:40 UTC
gnome-shell-theme-elementary-3.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gnome-shell-theme-elementary-3.2-1.fc16

Comment 13 Fedora Update System 2011-10-31 19:50:04 UTC
gnome-shell-theme-elementary-3.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnome-shell-theme-elementary-3.0-1.fc15

Comment 14 Fedora Update System 2011-11-01 01:26:32 UTC
gnome-shell-theme-elementary-3.2-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 15 Fedora Update System 2011-11-10 17:38:05 UTC
gnome-shell-theme-elementary-3.2-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 16 Fedora Update System 2011-11-10 17:39:57 UTC
gnome-shell-theme-elementary-3.0-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.